package com.qmth.teachcloud.eds.vo;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

public class SubjectiveScorePK implements Serializable {

    private static final long serialVersionUID = 7186961625210327765L;

    @TableField(value = "student_id")
    private Integer studentId;

    @TableField(value = "main_number")
    private Integer mainNumber;

    @TableField(value = "sub_number")
    private String subNumber;

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public String getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(String subNumber) {
        this.subNumber = subNumber;
    }

    @Override
    public int hashCode() {
        final int PRIME = 31;
        int result = 1;
        result = PRIME * result + ((studentId == null) ? 0 : studentId.hashCode());
        result = PRIME * result + ((mainNumber == null) ? 0 : mainNumber.hashCode());
        result = PRIME * result + ((subNumber == null) ? 0 : subNumber.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final SubjectiveScorePK other = (SubjectiveScorePK) obj;
        if (studentId == null) {
            if (other.studentId != null) {
                return false;
            }
        } else if (!studentId.equals(other.studentId)) {
            return false;
        }
        if (mainNumber == null) {
            if (other.mainNumber != null) {
                return false;
            }
        } else if (!mainNumber.equals(other.mainNumber)) {
            return false;
        }
        if (subNumber == null) {
            if (other.subNumber != null) {
                return false;
            }
        } else if (!subNumber.equals(other.subNumber)) {
            return false;
        }
        return true;
    }

}
